package cn.superdesk.uniorder.service._dashboard;

import cn.superdesk.uniorder.dto.param._dashboard.TvHeadDataQueryCriteria;
import cn.superdesk.uniorder.dto.param._dashboard.TvMapDataQueryCriteria;
import cn.superdesk.uniorder.dto.vo._dashboard.TvHeadDataVo;
import cn.superdesk.uniorder.dto.vo._dashboard.TvMapDataVo;

import java.util.List;

public interface TvDashboardService {

	TvHeadDataVo getHeadData(TvHeadDataQueryCriteria queryCriteria);

	TvHeadDataVo getHeadDataOct(TvHeadDataQueryCriteria queryCriteria);

	List<TvMapDataVo> getMapData(TvMapDataQueryCriteria queryCriteria);

	List<TvMapDataVo> getMapDataOct(TvMapDataQueryCriteria queryCriteria);
}
